
QGIS Application - Bug report #18427

Impossible d'ouvrir QGIS 3.0

2018-03-13 10:44 AM - Charly Tristavirs

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26316

Description

Bonjour,

J'ai installé qgis 3.0 x64 sur windows 7 pro en local.

QGIS 2.18.17 fonctionne.

J'ai tenté d'installer qgis 3.0 en supprimant qgis 2.18, via osgeo et via l'installateur windows.

Le même bug survient systématiquement à l'ouverture.

Je vous adresse ci-dessous le rapport.

Vous remerciant par avance pour votre aide,

User Feedback

Report Details

Crash ID: 2da396b26f43211ca81fa880817113c91d7a7715

Stack Trace

RtlFreeHeap :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :
ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::updateScrollBars :

QTreeView::updateGeometries :

QAbstractItemView::doItemsLayout :

QTreeView::doItemsLayout :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :

QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-03-13 10:53 AM - matthieu carlini
It's seems to be the same bug as #18260 ?

#2 - 2018-03-13 12:17 PM - Harrissou Santanna

- Related to Bug report #18260: qgis 3 crashes at start added

#3 - 2018-03-13 12:17 PM - Harrissou Santanna

- Resolution set to duplicate

- Status changed from Open to Closed

#4 - 2018-03-26 03:57 PM - matthieu carlini

Bug always occurs in 3.0.1

User Feedback

Report Details

Crash ID: b06dc2da84bd293756294c5be15a42a454cc305b

Stack Trace

RtlFreeHeap :

SleepMon :

HeapFree :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

DllGetClassObjectWOW :

DllGetClassObjectWOW :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

CLSIDFromString :

ObjectStublessClient6 :

CoCreateInstanceEx :

ObjectStublessClient32 :

SHParseDisplayName :

Ordinal866 :

ILSaveToStream :

ShellExecuteExW :

ShellExecuteExW :

ShellExecuteExW :

Ordinal860 :

ShellExecuteExW :

ExtractIconExW :

Ordinal865 :

Ordinal865 :

QWidgetPrivate::registerDropSite :

QStackedWidget::`default constructor closure' :

QInputDialog::getInteger :

QgsDataCollectionItem::iconDir :

QgsDirectoryItem::icon :

QgsBrowserModel::data :

QSortFilterProxyModel::data :

QModelIndex::data :

QStyledItemDelegate::initStyleOption :

QStyledItemDelegate::sizeHint :

QTreeView::indexRowSizeHint :

QTreeViewPrivate::itemHeight :

QTreeViewPrivate::lastVisibleItem :

QTreeView::sizeHintForColumn :

QHeaderView::resizeSections :
QHeaderView::sectionPosition :

QHeaderView::sectionViewportPosition :

QHeaderView::resizeSection :

QHeaderView::setStretchLastSection :

QgsBrowserDockWidget::showEvent :

QWidget::event :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::show_helper :

QWidgetPrivate::showChildren :

QWidgetPrivate::show_helper :

QWidget::setVisible :

QgisApp::QgisApp :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#5 - 2018-09-23 10:01 PM - Jürgen Fischer

- Related to deleted (Bug report #18260: qgis 3 crashes at start)

#6 - 2018-09-23 10:01 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added
